//
//  RootViewController.m
//  MadLib
//
//  Created by ernesto on 02/12/12.
//  Copyright (c) 2012 raywenderlich. All rights reserved.
//

#import "RootViewController.h"

@interface RootViewController ()
@property (weak) IBOutlet NSTextField *pastTenseVerbTextField;
@property (weak) IBOutlet NSComboBox *singularNounCombo;
@property (nonatomic,strong) NSArray *singularNouns;
@property (weak) IBOutlet NSPopUpButton *pluralNounPopup;
@property (nonatomic,strong) NSArray *pluralNouns;
@property (unsafe_unretained) IBOutlet NSTextView *phraseTextView;


@end

@implementation RootViewController


- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Initialization code here.
    }
    
    return self;
}
-(void)awakeFromNib
{
    NSLog(@"View controller instance with view: %@", self.view);
    // Set the pastTenseVerb initial value
    [self.pastTenseVerbTextField setStringValue:@"ate"];
    // Setup combo box with singular nouns
    self.singularNouns = @[@"dog", @"muppet", @"ninja", @"fat dude"];
    [self.singularNounCombo addItemsWithObjectValues:self.singularNouns];
    [self.singularNounCombo selectItemAtIndex:2];
    // Setup popup menu with pluralNouns
    self.pluralNouns  = @[@"tacos", @"rainbows", @"iPhones", @"gold coins"];
    [self.pluralNounPopup removeAllItems];
    [self.pluralNounPopup addItemsWithTitles:self.pluralNouns];
    [self.pluralNounPopup selectItemAtIndex:0];

    // Set textView initial text
    [self.phraseTextView setString:@"Me coding Mac Apps!!!"];
    

}


@end
